=== debian/changelog ===
prometheus-mqtt-exporter (0.1.4-2) unstable; urgency=medium

  * Add missing daemon | systemd-sysv dependency.

 -- Martina Ferrari <tina@debian.org>  Fri, 20 Nov 2020 19:09:21 +0000

prometheus-mqtt-exporter (0.1.4-1) unstable; urgency=medium

  * Initial release (Closes: #975280)

 -- Martina Ferrari <tina@debian.org>  Fri, 20 Nov 2020 00:43:07 +0000
