=== debian/control ===
Source: prometheus-mqtt-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Martina Ferrari <tina@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-eclipse-paho.mqtt.golang-dev,
 golang-github-patrickmn-go-cache-dev,
 golang-github-thedevsaddam-gojsonq-dev,
 golang-go.uber-zap-dev,
 golang-prometheus-client-dev,
 golang-yaml.v2-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-mqtt-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-mqtt-exporter.git
Homepage: https://github.com/hikhvar/mqtt2prometheus
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/hikhvar/mqtt2prometheus

Package: prometheus-mqtt-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 daemon | systemd-sysv,
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for metrics sent via MQTT topics
 This exporter translates from MQTT topics to prometheus metrics, allowing
 small/IoT devices that can't be polled directly to be monitored.
 .
 Clients push metrics as abritrary JSON messages via MQTT to an MQTT Broker.
 This exporter subscribes to the broker and publish the received messages as
 prometheus metrics.
 .
 While the upstream project is called `mqtt2prometheus`, the Debian packaging
 uses the name `prometheus-mqtt-exporter` for consistency with other exporters.
