=== debian/changelog ===
prometheus-mqtt-exporter (0.1.7-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 10:29:42 +1000

prometheus-mqtt-exporter (0.1.7-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 11:33:43 +1000

prometheus-mqtt-exporter (0.1.7-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 11:17:53 +0530

prometheus-mqtt-exporter (0.1.7-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:41 +1200

prometheus-mqtt-exporter (0.1.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.2 (no changes)
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 02 Feb 2023 03:32:51 +0000

prometheus-mqtt-exporter (0.1.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version (Closes: #1020676)
  * Add new build-deps:
    - golang-github-go-kit-kit-dev
    - golang-github-prometheus-exporter-toolkit-dev
  * Add new 0002-Support_newer_exporter-toolkit.patch
  * Remove --help output from default file

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 08 Dec 2022 04:21:29 +0000

prometheus-mqtt-exporter (0.1.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.1 (no changes)
  * Replace dh-golang with dh-sequence-golang
  * d/control: wrap-and-sort -at
  * d/control: modernize Go build-dep package names
  * d/gbp.conf: update to current team workflow standard

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 07 Dec 2022 04:35:56 +0000
