=== debian/control ===
Source: prometheus-mqtt-exporter
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-eclipse-paho.mqtt.golang-dev,
               golang-github-go-kit-kit-dev (>= 0.9.0),
               golang-github-patrickmn-go-cache-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.2),
               golang-github-thedevsaddam-gojsonq-dev,
               golang-go.uber-zap-dev,
               golang-gopkg-yaml.v2-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-mqtt-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-mqtt-exporter.git
Homepage: https://github.com/hikhvar/mqtt2prometheus
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/hikhvar/mqtt2prometheus

Package: prometheus-mqtt-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: daemon | systemd-sysv,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for metrics sent via MQTT topics
 This exporter translates from MQTT topics to prometheus metrics, allowing
 small/IoT devices that can't be polled directly to be monitored.
 .
 Clients push metrics as abritrary JSON messages via MQTT to an MQTT Broker.
 This exporter subscribes to the broker and publish the received messages as
 prometheus metrics.
 .
 While the upstream project is called `mqtt2prometheus`, the Debian packaging
 uses the name `prometheus-mqtt-exporter` for consistency with other exporters.
