=== debian/watch ===
version=4

opts="\
 filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mqtt2prometheus-$1.tar.gz%,\
 uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/hikhvar/mqtt2prometheus/tags \
  .*/v?(\d\S*)\.tar\.gz debian
